hpp-corbaserver: _impl_CenterOfMassComputation Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Member Functions | List of all members
_impl_CenterOfMassComputation Class Referenceabstract

`#include <hpp/pinocchio_idl/robots-idl.hh>`

Inheritance diagram for _impl_CenterOfMassComputation:
[legend]
Collaboration diagram for _impl_CenterOfMassComputation:
[legend]

## Public Member Functions
virtual | ~_impl_CenterOfMassComputation ()
virtual void | deleteThis ()=0
virtual ::CORBA::Boolean | deleteIfExpired ()=0
virtual void | persistantStorage (::CORBA::Boolean persistant)=0
virtual void | compute ()=0
virtual floatSeq * | com ()=0
virtual value_type | mass ()=0
virtual floatSeqSeq * | jacobian ()=0
virtual _CORBA_Boolean | _dispatch (omniCallHandle &)

## Constructor & Destructor Documentation

## ◆ ~_impl_CenterOfMassComputation()

virtual _impl_CenterOfMassComputation::~_impl_CenterOfMassComputation | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _dispatch()

virtual _CORBA_Boolean _impl_CenterOfMassComputation::_dispatch | ( | omniCallHandle & |  | ) |
| virtual

## ◆ com()

virtual floatSeq * _impl_CenterOfMassComputation::com | ( |  | ) |
| pure virtual

## ◆ compute()

virtual void _impl_CenterOfMassComputation::compute | ( |  | ) |
| pure virtual

## ◆ deleteIfExpired()

virtual ::CORBA::Boolean _impl_CenterOfMassComputation::deleteIfExpired | ( |  | ) |
| pure virtual

## ◆ deleteThis()

virtual void _impl_CenterOfMassComputation::deleteThis | ( |  | ) |
| pure virtual

## ◆ jacobian()

virtual floatSeqSeq * _impl_CenterOfMassComputation::jacobian | ( |  | ) |
| pure virtual

## ◆ mass()

virtual value_type _impl_CenterOfMassComputation::mass | ( |  | ) |
| pure virtual

## ◆ persistantStorage()

virtual void _impl_CenterOfMassComputation::persistantStorage | ( | ::CORBA::Boolean | persistant | ) |
| pure virtual

The documentation for this class was generated from the following file:

- src/hpp/pinocchio_idl/robots-idl.hh